Bug 207769 - [XEN] FC6 Test3 VMX guest crashed when boot it with PAE kernel
Summary: [XEN] FC6 Test3 VMX guest crashed when boot it with PAE kernel
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xen   
(Show other bugs)
Version: 6
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 418441
TreeView+ depends on / blocked
 
Reported: 2006-09-23 00:05 UTC by Zhao Yunfeng
Modified: 2008-02-26 23:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 23:27:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Zhao Yunfeng 2006-09-23 00:05:30 UTC
Description of problem:
I cannot boot FC6 Test3 IA32 VMX with the PAE kernel.
The guest crashed when booting kernel.
Following is the info from serial console:
(XEN) (file=traps.c, line=1371) Domain attempted WRMSR 00000199 from 
00000000:00000f00 to 00000000:00000c20.
(XEN) sh error: sh_remove_shadows(): can't find all shadows of mfn 36ec0 
(shadow_flags=00000100)
(XEN) domain_crash called from common.c:2251
(XEN) Domain 5 (vcpu#0) crashed on cpu#1:
(XEN) ----[ Xen-3.0-unstable    Not tainted ]----
(XEN) CPU:    1
(XEN) EIP:    0060:[<c046f67f>]
(XEN) EFLAGS: 00010082   CONTEXT: hvm
(XEN) eax: 0000006b   ebx: d469f380   ecx: 0000001d   edx: 00000020
(XEN) esi: d469f380   edi: d469f383   ebp: d42afdd8   esp: d42afdcc
(XEN) cr0: 8005003b   cr3: 001f8da0
(XEN) ds: 007b   es: 007b   fs: 0000   gs: 0000   ss: 0068   cs: 0060
(XEN) sh_update_paging_modes: postponing determination of shadow mode
(XEN) sh_update_paging_modes: postponing determination of shadow mode
(XEN) (file=traps.c, line=1371) Domain attempted WRMSR 00000199 from 
00000000:00000f00 to 00000000:00000f22.
(XEN) (file=hvm.c, line=195) Allocated port 3 for hvm.
(XEN) (file=hvm.c, line=195) Allocated port 4 for hvm.
(XEN) vmx_do_launch(): GUEST_CR3<=001f8da0, HOST_CR3<=1b073000


Version-Release number of selected component (if applicable):


How reproducible:
1. Install FC6 Test3 IA32 PAE kernel into the vmx guest.
2. Reboot the guest and boot it with the PAE kernel. 

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 3 Matthew Miller 2007-04-06 19:58:23 UTC
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]


Comment 4 Red Hat Bugzilla 2007-07-24 23:59:08 UTC
change QA contact

Comment 5 Chris Lalancette 2008-02-26 23:27:28 UTC
This report targets FC6, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks



Note You need to log in before you can comment on or make changes to this bug.